Skip to main content
GET
/
v1
/
products
List products
curl --request GET \
  --url https://api.kajabi.com/v1/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "relationships": {
        "site": {}
      }
    }
  ],
  "links": {
    "self": "<string>",
    "current": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string

Sort order, use: title, description, status, for descending order use '-' e.g. &sort=-title

page[number]
number
page[size]
number

Number of documents

fields[products]
string

Partial attributes as specified, e.g. fields[products]=title,publish_status

filter[site_id]
string

Filter by site_id, for example ?filter[site_id]=111

filter[title_cont]
string

Filter by title contains, for example ?filter[title_cont]=marketing

filter[description_cont]
string

Filter by description contains, for example ?filter[description_cont]=marketing

filter[status_eq]
string

Filter by status equals, for example ?filter[status_eq]=ready

Response

Success, list of products which the current user may access

data
object[]